## kf6-kbookmarks 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KBookmarks VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateQDoc)

include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kbookmarks_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kbookmarks_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KBOOKMARKS
                  VERSION_HEADER "${kbookmarks_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

ecm_install_po_files_as_qm(poqm)
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Bookmarks")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6BookmarksConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6BookmarksTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6BookmarksTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kbookmarks_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_subdirectory(widgets)

add_library(KF6Bookmarks)
add_library(KF6::Bookmarks ALIAS KF6Bookmarks)

set_target_properties(KF6Bookmarks PROPERTIES
    VERSION     ${KBOOKMARKS_VERSION}
    SOVERSION   ${KBOOKMARKS_SOVERSION}
    EXPORT_NAME Bookmarks
)

ecm_create_qm_loader(KF6Bookmarks kbookmarks6_qt)

target_sources(KF6Bookmarks PRIVATE
    kbookmarkaction.cpp
    kbookmarkaction.h
    kbookmarkactioninterface.cpp
    kbookmarkactioninterface.h
    kbookmark.cpp
    kbookmark.h
    kbookmarkmanager.cpp
    kbookmarkmanager.h
    kbookmarkowner.cpp
    kbookmarkowner.h
    keditbookmarks_p.h
    keditbookmarks.cpp
    kbookmarksettings.cpp
)

ecm_qt_declare_logging_category(KF6Bookmarks
    HEADER kbookmarks_debug.h
    IDENTIFIER KBOOKMARKS_LOG
    CATEGORY_NAME kf.bookmarks
    OLD_CATEGORY_NAMES kf5.kbookmarks
    DESCRIPTION "KBookmarks"
    EXPORT KBOOKMARKS
)

ecm_generate_export_header(KF6Bookmarks
    BASE_NAME KBookmarks
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Bookmarks INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks>")

target_link_libraries(KF6Bookmarks PUBLIC Qt6::Gui Qt6::Xml)
target_link_libraries(KF6Bookmarks PRIVATE
    KF6::CoreAddons # for KStringHandler
    KF6::ConfigCore # for KConfigGroup
)

ecm_generate_headers(KBookmarks_HEADERS
  HEADER_NAMES
  KBookmark
  KBookmarkAction
  KBookmarkActionInterface
  KBookmarkManager
  KBookmarkOwner

  REQUIRED_HEADERS KBookmarks_HEADERS
)

ecm_generate_qdoc(KF6Bookmarks kbookmarks.qdocconf)

install(TARGETS KF6Bookmarks EXPORT KF6BookmarksTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_export.h
  ${KBookmarks_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KBOOKMARKS
    FILE kbookmarks.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kf6-kbookmarks (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:18 +0100

=== debian/control ===
Source: kf6-kbookmarks
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6configwidgets-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
Rules-Requires-Root: no

Package: libkf6bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf6bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf6bookmarks6 (= ${binary:Version}),
         libkf6bookmarkswidgets6 (= ${binary:Version}),
         libkf6configwidgets-dev (>= 6.19.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6bookmarks-doc (= ${source:Version}),
Description: Qt library with support for bookmarks and the XBEL format (development)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf6bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6bookmarks6
Architecture: any
Multi-Arch: same
Depends: libkf6bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf6bookmarkswidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format (widgets)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable build time dh_auto_test
	:

## kf6-kbookmarks 6.19.0+p24.04+vstable+git20251015.1013

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kbookmarks (6.19.0+p24.04+vstable+git20251015.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:13:34 +0000

kf6-kbookmarks (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:47:44 +0000

## kf6-kbookmarks 6.19.0+p24.04+vstable+git20251019.0115

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml)

=== debian/changelog ===
kf6-kbookmarks (6.19.0+p24.04+vstable+git20251019.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:15:29 +0000

=== debian/control ===
Source: kf6-kbookmarks
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kbookmarks.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kbookmarks
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kbookmarks
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6bookmarks-data, libkf6bookmarks-doc, libkf6bookmarks6
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: kf6-kbookmarks-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kbookmarks (= ${binary:Version}),
         kf6-kwidgetsaddons-dev,
         ${misc:Depends}
Replaces: libkf6bookmarks-dev
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf6bookmarks-data
Architecture: all
Depends: kf6-kbookmarks, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6bookmarks-doc
Architecture: all
Depends: kf6-kbookmarks-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6bookmarks6
Architecture: all
Depends: kf6-kbookmarks, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6bookmarks-dev
Architecture: all
Depends: kf6-kbookmarks-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kbookmarks 6.19.0+p24.04+vstable+git20251031.0723

=== debian/changelog ===
kf6-kbookmarks (6.19.0+p24.04+vstable+git20251031.0723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:23:19 +0000

## kf6-kbookmarks 6.19.0+p24.04+vunstable+git20251020.0306

=== debian/changelog ===
kf6-kbookmarks (6.19.0+p24.04+vunstable+git20251020.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:06:09 +0000

## kf6-kbookmarks 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -47,7 +47,7 @@
 ecm_install_po_files_as_qm(poqm)
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )

=== tests/CMakeLists.txt ===
# TODO
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMMarkAsTest)

add_executable(kbookmarkdialogtest kbookmarkdialogtest.cpp)
ecm_mark_as_test(kbookmarkdialogtest)
target_link_libraries(kbookmarkdialogtest KF6::Bookmarks KF6::BookmarksWidgets)

=== debian/changelog ===
kf6-kbookmarks (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:53 +0100

=== debian/control ===
Source: kf6-kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
Rules-Requires-Root: no

Package: libkf6bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf6bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf6bookmarks6 (= ${binary:Version}),
         libkf6bookmarkswidgets6 (= ${binary:Version}),
         libkf6configwidgets-dev (>= 6.7.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6bookmarks-doc (= ${source:Version}),
Description: Qt library with support for bookmarks and the XBEL format (development)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf6bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6bookmarks6
Architecture: any
Multi-Arch: same
Depends: libkf6bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf6bookmarkswidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format (widgets)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

## kf6-kbookmarks 6.20.0+p24.04+vstable+git20251206.0309

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kf6-kbookmarks 6.20.0+p24.04+vunstable+git20251122.0756

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kbookmarks (6.20.0+p24.04+vunstable+git20251122.0756-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:56:46 +0000

kf6-kbookmarks (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kbookmarks 6.20.0+p24.04+vunstable+git20251206.0340

=== debian/changelog ===
kf6-kbookmarks (6.20.0+p24.04+vunstable+git20251206.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:40:12 +0000

## kf6-kbookmarks 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kbookmarks (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:35 +0000

kf6-kbookmarks (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,18 +10,18 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6configwidgets-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -38,8 +39,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.7.0~),
-         qt6-base-dev (>= 6.8.0~),
+         libkf6configwidgets-dev (>= 6.21.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

## kf6-kbookmarks 6.21.0+p24.04+vstable+git20251226.0215

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
@@ -46,8 +46,8 @@
 
 ecm_install_po_files_as_qm(poqm)
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )

## kf6-kbookmarks 6.21.0+p24.04+vunstable+git20251207.0728

=== debian/changelog ===
kf6-kbookmarks (6.21.0+p24.04+vunstable+git20251207.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:28:59 +0000

kf6-kbookmarks (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:36 +1000

## kf6-kbookmarks 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kbookmarks (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:28:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6configwidgets-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
@@ -39,7 +39,7 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.21.0~),
+         libkf6configwidgets-dev (>= 6.22.0~),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),

## kf6-kbookmarks 6.22.0+p24.04+vstable+git20260106.0942

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})

## kf6-kbookmarks 6.22.0+p24.04+vstable+git20260111.0319

=== debian/changelog ===
kf6-kbookmarks (6.22.0+p24.04+vstable+git20260111.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 03:19:25 +0000

kf6-kbookmarks (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:14 +1000

## kf6-kbookmarks 6.22.0+p24.04+vstable+git20260126.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kbookmarks (6.22.0+p24.04+vstable+git20260126.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:27:48 +0000

## kf6-kbookmarks 6.22.0+p24.04+vunstable+git20260126.0812

=== debian/changelog ===
kf6-kbookmarks (6.22.0+p24.04+vunstable+git20260126.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:12:23 +0000

## kf6-kbookmarks 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kbookmarks (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Reenable build-time tests.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kf6-kbookmarks
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
-               libkf6config-dev (>= 6.22.0~),
-               libkf6configwidgets-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6widgetsaddons-dev (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6widgetsaddons-dev (>= 6.23.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
 
 Package: libkf6bookmarks-data
 Architecture: all
@@ -39,8 +38,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.22.0~),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,4 @@
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_auto_test:
-	# Disable build time dh_auto_test
-	:
+	xvfb-run -a dh_auto_test -Skf6
